Upstream information

CVE-2018-16402 at MITRE

Description

libelf/elf_end.c in elfutils 0.173 allows remote attackers to cause a denial of service (double free and application crash) or possibly have unspecified other impact because it tries to decompress twice.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1107066 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • elfutils >= 0.168-4.5.3
  • elfutils-lang >= 0.168-4.5.3
  • libasm-devel >= 0.168-4.5.3
  • libasm1 >= 0.168-4.5.3
  • libdw-devel >= 0.168-4.5.3
  • libdw1 >= 0.168-4.5.3
  • libdw1-32bit >= 0.168-4.5.3
  • libebl-devel >= 0.168-4.5.3
  • libebl-plugins >= 0.168-4.5.3
  • libebl-plugins-32bit >= 0.168-4.5.3
  • libelf-devel >= 0.168-4.5.3
  • libelf1 >= 0.168-4.5.3
  • libelf1-32bit >= 0.168-4.5.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-1486
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • elfutils >= 0.168-4.5.3
  • elfutils-lang >= 0.168-4.5.3
  • libasm-devel >= 0.168-4.5.3
  • libasm1 >= 0.168-4.5.3
  • libdw-devel >= 0.168-4.5.3
  • libdw1 >= 0.168-4.5.3
  • libdw1-32bit >= 0.168-4.5.3
  • libebl-devel >= 0.168-4.5.3
  • libebl-plugins >= 0.168-4.5.3
  • libebl-plugins-32bit >= 0.168-4.5.3
  • libelf-devel >= 0.168-4.5.3
  • libelf1 >= 0.168-4.5.3
  • libelf1-32bit >= 0.168-4.5.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-1486
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • elfutils >= 0.168-4.5.3
  • libasm1-32bit >= 0.168-4.5.3
  • libelf-devel-32bit >= 0.168-4.5.3
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-1486
openSUSE Leap 15.0
  • elfutils >= 0.168-lp150.3.3.1
  • elfutils-debuginfo >= 0.168-lp150.3.3.1
  • elfutils-debugsource >= 0.168-lp150.3.3.1
  • elfutils-lang >= 0.168-lp150.3.3.1
  • libasm-devel >= 0.168-lp150.3.3.1
  • libasm1 >= 0.168-lp150.3.3.1
  • libasm1-32bit >= 0.168-lp150.3.3.1
  • libasm1-32bit-debuginfo >= 0.168-lp150.3.3.1
  • libasm1-debuginfo >= 0.168-lp150.3.3.1
  • libdw-devel >= 0.168-lp150.3.3.1
  • libdw1 >= 0.168-lp150.3.3.1
  • libdw1-32bit >= 0.168-lp150.3.3.1
  • libdw1-32bit-debuginfo >= 0.168-lp150.3.3.1
  • libdw1-debuginfo >= 0.168-lp150.3.3.1
  • libebl-devel >= 0.168-lp150.3.3.1
  • libebl-plugins >= 0.168-lp150.3.3.1
  • libebl-plugins-32bit >= 0.168-lp150.3.3.1
  • libebl-plugins-32bit-debuginfo >= 0.168-lp150.3.3.1
  • libebl-plugins-debuginfo >= 0.168-lp150.3.3.1
  • libelf-devel >= 0.168-lp150.3.3.1
  • libelf-devel-32bit >= 0.168-lp150.3.3.1
  • libelf1 >= 0.168-lp150.3.3.1
  • libelf1-32bit >= 0.168-lp150.3.3.1
  • libelf1-32bit-debuginfo >= 0.168-lp150.3.3.1
  • libelf1-debuginfo >= 0.168-lp150.3.3.1
Patchnames:
openSUSE-2019-1590
openSUSE Leap 15.1
  • elfutils >= 0.168-lp151.4.3.1
  • elfutils-debuginfo >= 0.168-lp151.4.3.1
  • elfutils-debugsource >= 0.168-lp151.4.3.1
  • elfutils-lang >= 0.168-lp151.4.3.1
  • libasm-devel >= 0.168-lp151.4.3.1
  • libasm1 >= 0.168-lp151.4.3.1
  • libasm1-32bit >= 0.168-lp151.4.3.1
  • libasm1-32bit-debuginfo >= 0.168-lp151.4.3.1
  • libasm1-debuginfo >= 0.168-lp151.4.3.1
  • libdw-devel >= 0.168-lp151.4.3.1
  • libdw1 >= 0.168-lp151.4.3.1
  • libdw1-32bit >= 0.168-lp151.4.3.1
  • libdw1-32bit-debuginfo >= 0.168-lp151.4.3.1
  • libdw1-debuginfo >= 0.168-lp151.4.3.1
  • libebl-devel >= 0.168-lp151.4.3.1
  • libebl-plugins >= 0.168-lp151.4.3.1
  • libebl-plugins-32bit >= 0.168-lp151.4.3.1
  • libebl-plugins-32bit-debuginfo >= 0.168-lp151.4.3.1
  • libebl-plugins-debuginfo >= 0.168-lp151.4.3.1
  • libelf-devel >= 0.168-lp151.4.3.1
  • libelf-devel-32bit >= 0.168-lp151.4.3.1
  • libelf1 >= 0.168-lp151.4.3.1
  • libelf1-32bit >= 0.168-lp151.4.3.1
  • libelf1-32bit-debuginfo >= 0.168-lp151.4.3.1
  • libelf1-debuginfo >= 0.168-lp151.4.3.1
Patchnames:
openSUSE-2019-1590


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 elfutils Not affected
CaaS Platform 2.0 elfutils Not affected
OpenStack Cloud Magnum Orchestration 7.0 elfutils Not affected
SUSE Linux Enterprise Desktop 12 SP3 elfutils Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA elfutils Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 elfutils Released
SUSE Linux Enterprise SDK 11 SP4 elfutils Not affected
SUSE Linux Enterprise SDK 12 SP3 elfutils Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS elfutils Not affected
SUSE Linux Enterprise Server 11 SP4 elfutils Not affected
SUSE Linux Enterprise Server 12 GA LTSS elfutils Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS elfutils Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS elfutils Not affected
SUSE Linux Enterprise Server 12 SP3 elfutils Not affected